"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.installAntd = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _antDesignVue = require("ant-design-vue");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

const useComponents = [_antDesignVue.ConfigProvider, _antDesignVue.Layout, _antDesignVue.Input, _antDesignVue.InputNumber, _antDesignVue.Button, _antDesignVue.Switch, _antDesignVue.Radio, _antDesignVue.Checkbox, _antDesignVue.Select, _antDesignVue.Card, _antDesignVue.Form, _antDesignVue.Row, _antDesignVue.Col, _antDesignVue.Modal, _antDesignVue.Table, _antDesignVue.Tabs, _antDesignVue.Badge, _antDesignVue.Popover, _antDesignVue.Dropdown, _antDesignVue.List, _antDesignVue.Avatar, _antDesignVue.Breadcrumb, _antDesignVue.Steps, _antDesignVue.Spin, _antDesignVue.Menu, _antDesignVue.Drawer, _antDesignVue.Tooltip, _antDesignVue.Alert, _antDesignVue.Tag, _antDesignVue.Divider, _antDesignVue.DatePicker, _antDesignVue.TimePicker, _antDesignVue.Upload, _antDesignVue.Progress, _antDesignVue.Skeleton, _antDesignVue.Popconfirm, _antDesignVue.PageHeader, _antDesignVue.Result, _antDesignVue.Descriptions, _antDesignVue.Statistic, _antDesignVue.Empty, _antDesignVue.Tree, _antDesignVue.TreeSelect, _antDesignVue.Modal, _antDesignVue.Cascader, _antDesignVue.Carousel];
const useConfig = [{
  $confirm: _antDesignVue.Modal.confirm
}, {
  $message: _antDesignVue.message
}, {
  $notification: _antDesignVue.notification
}, {
  $info: _antDesignVue.Modal.info
}, {
  $success: _antDesignVue.Modal.success
}, {
  $error: _antDesignVue.Modal.error
}, {
  $warning: _antDesignVue.Modal.warning
}];

const installAntd = Vue => {
  for (const component of useComponents) {
    Vue.use(component);
  } //全局配置


  for (const config of useConfig) {
    Vue.config.globalProperties = _objectSpread(_objectSpread({}, Vue.config.globalProperties), config);
  }
};

exports.installAntd = installAntd;